#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	2.0
#-----------------------------------------------------------------------------
Name		:	librsvg
Version		:	2.54.4
Release		:	17.0.10.rel%{?dist}
Summary		:	High-level API for X Keyboard Extension
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/librsvg

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-gobject-devel
BuildRequires	:	cargo
BuildRequires	:	libcroco
BuildRequires	:	gdk-pixbuf
BuildRequires	:	gobject-introspection
BuildRequires	:	vala
#-----------------------------------------------------------------------------
%description
A small library to render Scalable Vector Graphics (SVG),
associated with the GNOME Project.  It renders SVG files to
Cairo surfaces.  Cairo is the 2D, antialiased drawing library
that GNOME uses to draw things to the screen or to generat
output for printing.

#-----------------------------------------------------------------------------
#%files -f		librsvg.lang
%files 
%defattr(-,root,root,-)
%doc AUTHORS  CONTRIBUTING.md NEWS.md README.md 
%license COPYING.LIB
%{_libdir}/%{name}-*.so.*
%{_libdir}/gdk-pixbuf*/*/loaders/libpixbufloader-svg.so
%{_libdir}/girepository-1.0/*-%{majorver}.typelib
%{_datadir}/thumbnailers/%{name}.thumbnailer

#-----------------------------------------------------------------------------
%post
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

#=============================================================================
%package		devel
Summary		:	Libraries and include files for developing with librsvg

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description		devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-*/%{name}/*.h
%{_libdir}/%{name}-*.so
%{_libdir}/pkgconfig/%{name}-*.pc
%{_datadir}/gir-1.0/*-%{majorver}.gir
%{_datadir}/vala/vapi/%{name}-%{majorver}.vapi
#{_datadir}/gtk-doc/html/rsvg-%{majorver}/*.{html,png}
#{_datadir}/gtk-doc/html/rsvg-%{majorver}/rsvg-%{majorver}.devhelp2
#{_datadir}/gtk-doc/html/rsvg-%{majorver}/style.css

#=============================================================================
%package		tools
Summary		:	Extra tools for librsvg

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
 
#-----------------------------------------------------------------------------
%description		tools
This package provides extra utilities based on the librsvg library.

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%{_bindir}/rsvg-convert
#{_mandir}/man1/*.1.gz
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-vala					\
	--disable-gtk-doc				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

# we install own docs
rm -vrf %{buildroot}%{_datadir}/doc

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#find_lang librsvg
#-----------------------------------------------------------------------------
%changelog
